#include <bits/stdc++.h>
#define ll long long
using namespace std;
int A[5001], B[5001];
int N, M;
ll ans = (ll)1e18;
bool Brute()
{
  if(max(N, M) > 500) return 0;
  for(int m = 0; m < M; m++)
  {
    for(int i = 1; i <= N; i++)
    {
      ll temp = 0;
      for(int j = 1, k; j <= N; j++)
      {
        k = i + j - 1;
        if(k > N) k -= N;
        temp += min(abs(((A[j] + m) % M) - B[k]), M - abs(((A[j] + m) % M) - B[k]));
      }
      ans = min(temp, ans);
    }
  }
  return 1;
}
long long Konflikt(int n, int m, int* a, int *b)
{
  N = n;
  M = m;
  for(int i = 1; i <= N; i++) A[i] = a[i];
  for(int i = 1; i <= N; i++) B[i] = b[i];
  sort(A + 1, A + N + 1);
  sort(B + 1, B + N + 1);
  if(Brute()) return ans;
  return 0;
}